Skip to content
BolderBolder Developers
Esc
↑↓navigate↵open⌘Jpreview

Create (or find) a wallet for a contact

Idempotent per contact + program: if a wallet already exists for this contact and program, the existing wallet is returned rather than a duplicate created.

POST/wallets
Authorization
AuthorizationBearer token (JWT) · headerrequired
Request body
requiredapplication/json
contact_idintegerrequired
program_idinteger

Defaults to the seller's active program of the given type.

typestring
default: "points"
Allowed:pointscredit
Responses
201

Wallet created (or found)

_linksHalLinks
idinteger
typestring
Allowed:pointscredit
namestring
statestring
Allowed:activeinactive
balanceinteger
contact_idinteger
program_idinteger
consentedboolean
limit_amountinteger

Credit wallets only — maximum spendable balance.

overdue_limit_amountinteger

Credit wallets only — percentage of limit_amount allowed as overdue.

loan_termstring

Credit wallets only — e.g. "2.days", "3.months".

created_onstring<date-time>
updated_onstring<date-time>
Try it
Server
Authorization
Bodyapplication/json
Request
curl -X POST 'https://api.onbolder.com/v2/wallets' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "contact_id": 3001
}'
Response
{
  "_links": {
    "property1": {
      "href": "string",
      "templated": true,
      "method": "get",
      "title": "string",
      "type": "string"
    },
    "property2": {
      "href": "string",
      "templated": true,
      "method": "get",
      "title": "string",
      "type": "string"
    }
  },
  "id": 0,
  "type": "points",
  "name": "string",
  "state": "active",
  "balance": 0,
  "contact_id": 0,
  "program_id": 0,
  "consented": true,
  "limit_amount": 0,
  "overdue_limit_amount": 0,
  "loan_term": "string",
  "created_on": "2019-08-24T14:15:22Z",
  "updated_on": "2019-08-24T14:15:22Z"
}

Was this page helpful?